import HTTPMethod from 'http-method-enum';
import { NextApiHandler, NextApiRequest, NextApiResponse } from 'next';
declare type ExecuteFn = (req: NextApiRequest, res: NextApiResponse) => Promise<void> | void;
declare type ApiMethods = {
    [key in HTTPMethod]?: ExecuteFn;
};
declare type AuthHandler = (req: NextApiRequest) => boolean | Promise<boolean>;
declare type InitializeOptions = {
    authHandler?: AuthHandler;
    errorHandler?: (err: Error) => void;
};
declare type WrapperOptions = {
    disaableAuth: boolean;
} | undefined;
export declare const initializeHttpWrapper: ({ authHandler, errorHandler, }: InitializeOptions) => (apiMethods: ApiMethods, options: WrapperOptions) => NextApiHandler;
export {};
